Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025344
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-12-17 11:472014-01-22 17:30
ReportercaristuView Statuspublic 
Assigned Tomarvintm 
PriorityhighResolutionfixedFixed in VersionRMP30
StatusclosedFix in branchFixed in SCM revision01b187be191a
ProjectionnoneETAnoneTarget VersionRMP30
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025344: Default storage bin for returns

DescriptionCurrently is not possible to configure a bin in order to store the returned products by default.
 
Steps To Reproduce.
Proposed SolutionThe way to include this functionality must be as follows: get the "Return Bin" from the Organization Warehouse header, in case this vale hasn't been specified, the storage bin chosen for receipts will be the one with highest priority (minimum relative priority number) from the Organization Warehouse.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062763)
hgbot (developer)
2013-12-18 09:54

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 01b187be191a7754d0140ffd022ca973365e8b00
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Dec 17 18:22:11 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/01b187be191a7754d0140ffd022ca973365e8b00 [^]

Fixed issue 25344: The bin marked as return bin is used when returns are done instead of use m_get_stock

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M src/org/openbravo/retail/posterminal/POSUtils.java
---
(0062809)
hgbot (developer)
2013-12-19 11:19

Repository: erp/pmods/org.openbravo.retail.posterminal-warehouseselector
Changeset: 01b187be191a7754d0140ffd022ca973365e8b00
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Dec 17 18:22:11 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/01b187be191a7754d0140ffd022ca973365e8b00 [^]

Fixed issue 25344: The bin marked as return bin is used when returns are done instead of use m_get_stock

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M src/org/openbravo/retail/posterminal/POSUtils.java
---
(0062944)
hgbot (developer)
2013-12-19 19:56

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 01b187be191a7754d0140ffd022ca973365e8b00
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Dec 17 18:22:11 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/01b187be191a7754d0140ffd022ca973365e8b00 [^]

Fixed issue 25344: The bin marked as return bin is used when returns are done instead of use m_get_stock

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M src/org/openbravo/retail/posterminal/POSUtils.java
---
(0063182)
hgbot (developer)
2014-01-02 12:49

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 01b187be191a7754d0140ffd022ca973365e8b00
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Dec 17 18:22:11 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/01b187be191a7754d0140ffd022ca973365e8b00 [^]

Fixed issue 25344: The bin marked as return bin is used when returns are done instead of use m_get_stock

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M src/org/openbravo/retail/posterminal/POSUtils.java
---
(0063243)
hgbot (developer)
2014-01-07 15:39

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 01b187be191a7754d0140ffd022ca973365e8b00
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Dec 17 18:22:11 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/01b187be191a7754d0140ffd022ca973365e8b00 [^]

Fixed issue 25344: The bin marked as return bin is used when returns are done instead of use m_get_stock

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M src/org/openbravo/retail/posterminal/POSUtils.java
---
(0063615)
guilleaer (developer)
2014-01-22 17:30

reclosing issues

- Issue History
Date Modified Username Field Change
2013-12-17 11:47 caristu New Issue
2013-12-17 11:47 caristu Assigned To => marvintm
2013-12-17 11:47 caristu Triggers an Emergency Pack => No
2013-12-17 11:48 caristu Description Updated View Revisions
2013-12-17 11:48 caristu Issue Monitored: networkb
2013-12-18 09:54 hgbot Checkin
2013-12-18 09:54 hgbot Note Added: 0062763
2013-12-18 09:54 hgbot Status new => resolved
2013-12-18 09:54 hgbot Resolution open => fixed
2013-12-18 09:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/01b187be191a7754d0140ffd022ca973365e8b00 [^]
2013-12-19 11:19 hgbot Checkin
2013-12-19 11:19 hgbot Note Added: 0062809
2013-12-19 11:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/01b187be191a7754d0140ffd022ca973365e8b00 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/01b187be191a7754d0140ffd022ca973365e8b00 [^]
2013-12-19 19:56 hgbot Checkin
2013-12-19 19:56 hgbot Note Added: 0062944
2013-12-19 19:56 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/01b187be191a7754d0140ffd022ca973365e8b00 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/01b187be191a7754d0140ffd022ca973365e8b00 [^]
2013-12-20 11:59 marvintm Review Assigned To => marvintm
2013-12-20 11:59 marvintm Status resolved => closed
2013-12-20 11:59 marvintm Fixed in Version => RMP30
2014-01-02 12:49 hgbot Checkin
2014-01-02 12:49 hgbot Note Added: 0063182
2014-01-02 12:49 hgbot Status closed => resolved
2014-01-02 12:49 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/01b187be191a7754d0140ffd022ca973365e8b00 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/01b187be191a7754d0140ffd022ca973365e8b00 [^]
2014-01-07 15:39 hgbot Checkin
2014-01-07 15:39 hgbot Note Added: 0063243
2014-01-07 15:39 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/01b187be191a7754d0140ffd022ca973365e8b00 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/01b187be191a7754d0140ffd022ca973365e8b00 [^]
2014-01-22 17:30 guilleaer Note Added: 0063615
2014-01-22 17:30 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker